<!--
{
  "availability" : [

  ],
  "documentType" : "symbol",
  "framework" : "apple-school-and-business-manager-api",
  "identifier" : "/documentation/AppleBusinessAPI/Update-an-MdmServer",
  "metadataVersion" : "0.1.0",
  "role" : "Web Service Endpoint",
  "symbol" : {
    "kind" : "Web Service Endpoint",
    "modules" : [
      "Apple Business API"
    ],
    "preciseIdentifier" : "rest:AppleBusinessAPI:patch:v1-mdmServers-{}"
  },
  "title" : "Update a Device Management Service"
}
-->

# Update a Device Management Service

Update an existing device management service in an organization.

## Overview> Note: Only the fields included in the request are updated. Any omitted fields retain their existing values.

### Example

**Request:**

```
curl -X PATCH "https://api-business.apple.com/v1/mdmServers/{id}" \
    -H "Authorization: Bearer ${ACCESS_TOKEN}" \
    -H "Content-Type: application/json" \
    -d '{
      "data": {
        "type": "mdmServers",
        "id": "2A87349736CF4614A94F624E705841BE",
        "attributes": {
          "serverName": "Marketing Team MDM (Renamed)",
          "defaultProductFamilies": ["IPAD", "IPHONE"]
        }
      }
    }'
```

**Response:**

```json
{
  "data": {
    "type": "mdmServers",
    "id": "2A87349736CF4614A94F624E705841BE",
    "attributes": {
      "serverName": "Marketing Team MDM (Renamed)",
      "serverType": "MDM",
      "enableMdmDisownFlag": true,
      "defaultProductFamilies": ["IPAD", "IPHONE"],
      "status": "ACTIVE",
      "deviceCount": 42,
      "lastConnectedDateTime": "2026-06-01T08:14:23Z",
      "lastConnectedIp": "203.0.113.5",
      "createdDateTime": "2026-06-01T10:30:00Z",
      "updatedDateTime": "2026-06-01T14:22:00Z"
    },
    "relationships": {
      "devices": {
        "links": {
          "self": "https://api-business.apple.com/v1/mdmServers/2A87349736CF4614A94F624E705841BE/relationships/devices"
        }
      }
    },
    "links": {
      "self": "https://api-business.apple.com/v1/mdmServers/2A87349736CF4614A94F624E705841BE"
    }
  },
  "links": {
    "self": "https://api-business.apple.com/v1/mdmServers/2A87349736CF4614A94F624E705841BE"
  }
}
```

## Topics

### Responses

[`object MdmServerResponse`](/documentation/AppleBusinessAPI/MdmServerResponse)

A response that contains a single device management service resource.



---

Copyright &copy; 2026 Apple Inc. All rights reserved. | [Terms of Use](https://www.apple.com/legal/internet-services/terms/site.html) | [Privacy Policy](https://www.apple.com/privacy/privacy-policy)